GApps is a package of Android programs that you need to flash and install every time you install a new custom ROM because otherwise you won't be able to use them on your phone.

This package will install all the Google-based applications on your device so that you will be able to use Gmail, Gtalk, Google Voice, Calendar, Google Play Store, Google Maps, Goggles, Google Contacts and all the other applications you need to correctly use your phone. These apps can't be integrated in custom ROM packages because it breaks the licensing restrictions and you cannot integrate them with CyanogenMod installation.

As you know, then CyanogenMod doesn't need the GApps package to work but, you need it, after installing CM, in order to be able to install apps from Google Play Store, to use Google Maps, Calendar, Google Plus, Google Talk and all the other tools offered by Google that are required on a daily basis for a better Android experience.

Download Google Apps for any Android ROM:

Android 6.x.x Marshmallow and CM 13-based ROMs:

  • Download Gapps for CM 13-based ROMs from here or here or here.

For Android 5.1.x Lollipop and later versions:

  • Download Gapps for Android 5.1.x Lollipop ROMs here or here.

For Android 5.0.x Lollipop:

  • Download Gapps for CM 12 Android 5.x Lollipop ROM here.
  • Download Gapps for Paranoid Android 5.x Lollipop ROM here.
  • Download Slim Gapps for SlimLP ROMs here.

For Android 4.x and older versions:

  • Download Gapps for Paranoid Android 4.x ROMs from HERE.
  • Download Gapps for all Android 4.4 KitKat custom ROMs from HERE.
  • Download Gapps for all Android 4.3 JB and CM 10.2 ROMs from HERE.
  • Download Gapps for all Android 4.2.2 Jelly Bean based ROMs from HERE.
  • Download Gapps for Jelly Bean Android 4.2.x / CM 10.1 from HERE.
  • Download Gapps for Jelly Bean Android 4.1.x from HERE.
  • Download GApps zip file for other Android versions from HERE.
    - this file has to be flashed after you've successfully installed the custom ROM firmware on your Android device.

If you wish, you can install only the Google Play Store and after that you can choose to download the rest of the Google apps from the market.

Comments
safdar · 3 days ago

Google account fix without PC galaxy on5 g5510

Reply
ahmed · 1 week ago

password

Reply
coolhndluke · 3 months ago

so which gapps is for the oreo remix rom?

Reply
Yoga Nanthan · 1 year ago

hi i need update naught for my note 4 edge its possible ?

Reply
Aamir Anis · 1 year ago

hi everyone,
can anybody tell me how to upgrade motorolla ultra mini kit kat version to lolipop version?

Reply
Girish Bagmor · 2 years ago

Hello sir,
In the GApp can i use service of google play games apk and google play service apk

Reply
MXM · 2 years ago

Hi,
for upgrade from Android 5.1.x Lollipop to Marshmallow and CM 13-based ROMs what version do I have to choose?

Reply
Subtrosity Gaming · 2 years ago

hello i have a s3 mini with 4.1.2 but soon will upgrade to cm 12 so which one do i download android 5 or 4.1.2?

Reply
Union Good · 2 years ago

Worked for me, i installed AICP custom room with my HTC M8 and got google app installed. after installing wipe cache and dalvik with TWRP to avoid (unfortunately google play has stopped). reboot and use

Reply
ggow · 3 years ago

Can gapps be included in UNOFFICIAL builds?

Reply
pery · 3 years ago

if i install 6.0 marshmallow..what version of google apps do i need?

Reply
Chel Marcelino De Leon · 3 years ago

Certificate Installer / Packages Storages for my SD Card

Reply
hirenkumar · 3 years ago

i have htc desire 500 which rom is suitable for me???is lolipop suitable or not?

Reply
VED PRAKASH SINGH · 3 years ago

i have sony xperia l and i want it to upgrade to lollipop. please tell me which gapps i should download

Reply
AnarchyBros Zetsu · 3 years ago

help i cant flash cm12.1 on my z2 d6503 kitkat and the gapps. do i need the latest gapps or i need to use cm11?

Reply
Hatem Mahmoud · 3 years ago

i m tried to download Gapps for kitkat and the IDM cannot determin the size of the file so i can t download it i think link is expired !!!!!

Reply
zack · 3 years ago

ya that is ma question too

Reply
apps evaluator · 3 years ago

Hi my S3 mini GT-I8190N s using android 4.1.2, should I download Gapps for Jelly Bean Android 4.1.x before I upgrade it to 5.0 lollipop? please advise, thanks.

Reply
erwin · 3 years ago

hello .... I've installed GAPPS and successfully installed ... but can not get into google play store android,, problem "error occurred while communicating with Google servers" ... how to solve it ??

Reply
davanfuzavarazta · 3 years ago

Thankss !!

Reply
Craig lerr · 3 years ago

Thanks for the links!

Reply
joao mathino · 4 years ago

I'm using Samsung s3 can't root my phone

Reply
venkatesh · 4 years ago

i have rooted my moto g 1 gen but when i m trying to flash twrp for installing xposed software its not flashing can u pls help me out

Reply
MZ · 4 years ago

failed to flash gapps

Reply
Mike Fred Connor · 4 years ago

Thanks for download how do I install plz bit slow on the logical stuff but would like too learn it & thanks again

Reply
Syed Ammar Hassan · 3 years ago

hallo friend verigen lollipop send file ......... plz... my email ammarhassansyed@gmail.com ............. whats :up number 03130762334

Reply
USMAN · 4 years ago

HELLO HOW TO UPDATE ONLY KITKAT VERSION MY NUMBER +94767118823

PLEASE CALL ME OR MESSAGE ME THANK YOU GOOD BYEEEEEEEEEEEEEE

Reply
amit · 4 years ago

you can update ur anderiod only by visting a mobile store
it can be done by u
depending on ur mobile

Reply
mili · 4 years ago

hello my number is +38649179313 i help you call mee

Reply
Reza · 4 years ago

First of all i have 2 say u r very nice.....
Can i call u via Viber dear mili?

Reply
Reza · 4 years ago

Hello

Reply
Anand Raina · 4 years ago

i want to upgrade my samsung galaxy s duos GT-S7562 to jelly bean or kitkat
help me out to do

Reply
aarush tomar · 5 years ago

i want to upgrade my samsung note n7000 tell me what can i do.?

Reply
Sachin Alam · 1 year ago

Use ODIN.

Reply
jmgc · 5 years ago

HEY i need the Gapps for 4.4 link dont exist T___________T

Reply
nyamka · 5 years ago

Gapps for all Android 4.4 KitKat custom ROMs link does not work

Reply
Israel Castro · 5 years ago

Gapps for all Android 4.4 KitKat custom ROMs doesn't exists anymore :-(

Reply
xRepinsSporx · 5 years ago

We have uploaded all the gapps and hosted them on our servers.

http://www.androidfilehost.com/gapps

Reply
Yeah I said it · 5 years ago

gay

Reply
wferreira · 6 years ago

I installed cm10.1 nightly 20130226 without issues but any other update after that, I cannot make calls. Tried up to the most recent nightly 20130309 and also the M2 release without luck! No matter wipes or clean installs :(
Hope Someone have a fix for this

Reply
MrJames848 · 6 years ago

When is Jelly Bean for Samsung Skyrocket going to be Released

Reply
Rafaqat · 6 years ago

i am facing problem with my Samsung galaxy s t959 vibrant that after boot the not pic a update file that's why set not run setup please guide me

Reply
asokkumar · 6 years ago

hello, i am my samsung galaxy s2 i9100 install jelly bean(JellyBeanAlpha,Jelly King v 1.5,CWM-SuperSU-v0.89,cm-10-20120918-NIGHTLY-i9100) but not woring net work and google play..............what problem ............please answer me

Reply
SHAFEEQUE · 3 years ago

UPDATE TO LATEST CM

Reply
Nightly SGS · 6 years ago

Thank!

Reply
corner-left-up dots-three-vertical